// EXTREME customization file
// --------------------------

// To compile this file use the supplied XCC/64 utility. Ensure the resulting
// X32_CFG.DAT file is in the same directory as the main EXTREME executable.
//
// To properly compile, issue either of the following commands:
//
// xcc -c x32.x (for 32-bit)
// xcc64 -x x64.x (for 64-bit)
//
// You will need to restart EXTREME to use any new setting.

//
// Options that are not used can be set to the empty string ("").
//

// Directory setup
// ---------------

// The directory where the EXTREME executable and support files are
// stored. Setting this to "" will use the application directory.
//
config_directory = ""

// The directory where EXTREME macros are stored. This directory is used
// by the quick macro selection command "ALT 8".
//
macro_directory = "J:\PA\XT64"

// The directory of any XTREE installation, if available. EXTREME can
// reuse some of the graphic viewers that came with XTREE GOLD 3.x for
// DOS. Setting this to "" will disable this feature.
//
// Note: It is no longer recommended to use the old XTREE viewers.

//xtree_directory = ""
xtree_directory = ""

// Directory where the "O"pen batch files are stored. Typically the
// same directory as the EXTREME executable.
//
batch_directory = "J:\PA\XT64"

// External viewer program
// -----------------------

// The program to use for the "V"iew command. EXTREME comes with the Hex
// View program which can be used as the default viewer and hex editor.
//
viewer_program = "J:\PA\XT64\h64.exe"

// External text editor program
// ----------------------------

// The text editor to use for the "E"dit command.
//
editor_program = "C:\Program Files (x86)\TDE\tdew.exe"

// The text editor to use for the "E"dit command within the default hex viewer.
//
viewer_editor_program = "C:\Program Files (x86)\TDE\tdew.exe"

// External compare program
// ------------------------

// The program to use for the "J"fc compare command. If a previous
// installation of XTREE has the JFC program then this can be reused
// for EXTREME.
//
// compare_program = "jfc.exe -p"
compare_program = "C:\Program Files (x86)\VnuDiff\vnudiff.exe"

// External menu program
// ---------------------

// The program to use for the "F9" menu command.
//
menu_program = "J:\PA\XT64\menu.bat"

// External batch menu program
// ---------------------------

// The program to use for the "CTRL F9" batched tagged menu command.
//
batch_program = "J:\PA\XT64\h64.exe"

// External open program
// ---------------------

// The program to use for the "O"pen command in tree view.
//
open_program = ""

// External help program
// ---------------------

// The program to use for the "F1" help command.
//
help_program = "J:\PA\XT64\h64.exe J:\PA\XT64\readme.txt"

// Date and time formats
// ---------------------

// Set to 0 for the am/pm format. Set to 1 for the 24 hour format.
hour_format = 0

// Set to 0 for the dd/mm/yy format. Set to 1 for the mm/dd/yy date format.
month_format = 0

// Fileview mode
// -------------

// The initial display mode for file view to be in. Set from 0 to 6.
// 0 is the default file view mode.
//
fileview_mode = 6

// Use the recycle bin for deletes
// -------------------------------

// Set to 0 or false for no. Set to 1 or true for yes.
//
use_recycle_bin = false

// White space characters
// ----------------------

// The characters to use as white space for the control left,
// control right, and alt backspace keys during any input event.
//
white_space = " .\"

// Asks to confirm quiting the application.
//
prompt_to_quit = false

// Asks to confirm editing a file in file view.
//
prompt_to_edit = true

// Keep the read only attribute when copying a file from a CD or DVD.
//
keep_read_only = false

// The colour and frame character settings are stored in a separate file
// to allow easy customization. The default is the midnight colour scheme.
//
import "midnight.x2"
//import "classic.x2"
